DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# DanielsonLineDetector

Line detector

## SYNOPSIS

`#include "dip_orientation.h"`

dip_Error dip_DanielsonLineDetector ( in, line, energy, angle, boundary, sigma, truncation, flavour )

## DATA TYPES

binary, integer, float

## FUNCTION

The Danielson line dectector uses second derivatives to detect lines in 2D images and to estimate their orientation. See the literature reference for an in-depth information on this detector.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `line` | Line image
`dip_Image` | `energy` | Energy image
`dip_Image` | `angle` | Angle image
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_FloatArray` | `sigma` | Sigma of second derivatives
`dip_float` | `truncation` | Gauss Truncation
`dip_DerivativeFlavour` | `flavour` | Derivative filter flavour

## LITERATURE

P.E. Danielson, Q. Lin and Q-Z Yes, `i`"Efficient detection of second degree variations in 2D and 3D images", Report LiTH-ISY-R-2155, Linkoping University, Linkoping, Sweden, 1999

## SEE ALSO

`Derivative`, `StructureTensor2D`

DIPlib on-line documentation | Function reference | Global function index